=== debian/changelog ===
ros-kinetic-cob-frame-tracker (0.7.13-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.7.12-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.7.11-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Mar 2020 23:00:00 -0000

ros-kinetic-cob-frame-tracker (0.7.10-2xenial) xenial; urgency=high

  * Merge pull request #227 <https://github.com/ipa320/cob_control/issues/227> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility - kinetic
  * python3 compatibility via 2to3
  * Merge pull request #225 <https://github.com/ipa320/cob_control/issues/225> from fmessmer/ci_updates_kinetic
    [travis] ci updates - kinetic
  * catkin_lint fixes
  * Contributors: Felix Messmer, Loy van Beek, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-frame-tracker (0.7.9-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-frame-tracker (0.7.8-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.7.7-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.7.6-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.7.5-2xenial) xenial; urgency=high

  * Merge pull request #206 <https://github.com/ipa320/cob_control/issues/206> from fmessmer/improve_lookat_extension
    improve lookat extension
  * do not start lookat if KinematicExtension service failed
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.7.4-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.7.3-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-frame-tracker (0.7.2-2xenial) xenial; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.7.1-2xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/kinetic_release_candidate' into kinetic_dev
  * Merge pull request #169 <https://github.com/ipa320/cob_control/issues/169> from ipa-fxm/kinetic_updates_indigo
    Kinetic updates indigo
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_control into kinetic_dev
    Conflicts:
    .travis.yml
  * Merge pull request #168 <https://github.com/ipa320/cob_control/issues/168> from ipa-aep/bugfix/checkInfinitesimalTwist
    Bugfix/check infinitesimal twist
  * fix wrong axes bug in Infinitesimal distance check
  * add rotational distance computation to abortion criteria
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #160 <https://github.com/ipa320/cob_control/issues/160> from ipa-aep/feature/frametracker_pid_debugging
    add publisher for controller error
  * remove terminal output of period
  * add publisher for controller error
  * use license apache 2.0
  * Contributors: Alexander Pekarovskiy, Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-frame-tracker (0.7.0-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.6.15-2xenial) xenial; urgency=high

  * Merge pull request #122 <https://github.com/ipa320/cob_control/issues/122> from ipa-fxm/indigo_roslint
    roslint some packages
  * starting to roslint some packages
  * manually fix changelog
  * Contributors: Nadia Hammoudeh García, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.6.14-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.6.13-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.6.12-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.6.11-2xenial) xenial; urgency=high

  * add frameExists check to FrameTracker
  * updateMarker on startLookat
  * cleanup roslint
  * introduce cfg-parameter enable_abortion_checking
  * Added waitForTransform in the getTransform function.. It threw an transform exception
  * Merge branch 'refactor_profile_generator' of github.com:ipa-fxm-cm/cob_control into test_new_cartesian_controller
    Conflicts:
    cob_frame_tracker/src/cob_frame_tracker.cpp
  * parameterizable scaling_factor
  * Linear interpolation works fine now. There's still a bug in quaternion interpolation.
  * only reset lookat extension
  * prepare interactive_frame_target for being used with lookat
  * prepare frame_tracker for being used with lookat
  * constant publish rate
  * working on log output
  * parameterizable marker_scale
  * re-activate publishHoldTwist, fix typo
  * publish ZeroTwist, root/tip frame selection
  * introduce scaling_factor and dead_man
  * simple spacenav commander
  * temporarily undo publishHoldTwist
  * Contributors: Marco Bezzon, ipa-fxm, ipa-fxm-cm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-frame-tracker (0.6.10-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000


