=== debian/control ===
Source: ros-kinetic-cob-frame-tracker
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-cob-srvs, ros-kinetic-control-toolbox, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-interactive-markers, ros-kinetic-kdl-conversions, ros-kinetic-kdl-parser, ros-kinetic-message-generation, ros-kinetic-orocos-kdl, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cob-frame-tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-cob-srvs, ros-kinetic-control-toolbox, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-interactive-markers, ros-kinetic-kdl-conversions, ros-kinetic-kdl-parser, ros-kinetic-message-runtime, ros-kinetic-orocos-kdl, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Description: The cob_frame_tracker package contains nodes that publish Twist commands based on the distance to the desired tf frame target.
